#!/bin/sh
/bin/echo "Hello from ${HOSTNAME}"
if [ ${RGMA_PROPS:-false} = "false" ]; then
	/bin/echo "No RGMA_PROPS variable set."
	if [ -r /opt/edg/var/edg-rgma/rgma.props ]; then 
		/bin/echo "Default R-GMA props:"
		cat /opt/edg/var/edg-rgma/rgma.props
	else 
		/bin/echo "No default R-GMA props file available."
		/bin/echo "R-GMA RPMs installed:"
		/bin/rpm -qa | /bin/grep "rgma"
	fi
else
	/bin/echo "RGMA_PROPS is: ${RGMA_PROPS}"
	if [ -r ${RGMA_PROPS}/rgma.props ]; then
		/bin/echo "R-GMA props:"
		cat ${RGMA_PROPS}/rgma.props
	else 
		/bin/echo "R-GMA props file not found (or readable)."
	fi
fi
